Skip to main content
GET
/
api
/
v1
/
passes
List passes
curl --request GET \
  --url https://api.passentry.com/api/v1/passes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "237f0526-b2aa-4dd1-884b-ed49abbd7447",
      "type": "pass",
      "attributes": {
        "downloadUrl": "https://www.example.com?pass=237f0526-b2aa-4dd1-884b-ed49abbd7447",
        "passType": "generic",
        "createdAt": "2022-01-08T00:00:00Z",
        "status": "issued",
        "extId": "d994dfcf8b6d0b0a3267",
        "passTemplateUuid": "2e2d7ee8c306e8f0223dbdc1",
        "passTemplateName": "PassEntry Ticketing",
        "nfc": null,
        "barcode": {},
        "passContent": {
          "fullName": "John Johnson"
        }
      }
    },
    {
      "id": "237f0526-b2aa-4dd1-884b-ed49abbd7446",
      "type": "pass",
      "attributes": {
        "downloadUrl": "https://www.example.com?pass=237f0526-b2aa-4dd1-884b-ed49abbd7446",
        "passType": "generic",
        "createdAt": "2022-01-07T00:00:00Z",
        "status": "issued",
        "extId": "d994dfcf8b6d0b0a3266",
        "passTemplateUuid": "2e2d7ee8c306e8f0223dbdc1",
        "passTemplateName": "PassEntry Ticketing",
        "nfc": null,
        "barcode": {},
        "passContent": {
          "fullName": "John Johnson"
        }
      }
    },
    {
      "id": "237f0526-b2aa-4dd1-884b-ed49abbd7445",
      "type": "pass",
      "attributes": {
        "downloadUrl": "https://www.example.com?pass=237f0526-b2aa-4dd1-884b-ed49abbd7445",
        "passType": "generic",
        "createdAt": "2022-01-06T00:00:00Z",
        "status": "issued",
        "extId": "d994dfcf8b6d0b0a3265",
        "passTemplateUuid": "2e2d7ee8c306e8f0223dbdc1",
        "passTemplateName": "PassEntry Ticketing",
        "nfc": null,
        "barcode": {},
        "passContent": {
          "fullName": "John Johnson"
        }
      }
    },
    {
      "id": "237f0526-b2aa-4dd1-884b-ed49abbd7444",
      "type": "pass",
      "attributes": {
        "downloadUrl": "https://www.example.com?pass=237f0526-b2aa-4dd1-884b-ed49abbd7444",
        "passType": "generic",
        "createdAt": "2022-01-05T00:00:00Z",
        "status": "issued",
        "extId": "d994dfcf8b6d0b0a3264",
        "passTemplateUuid": "2e2d7ee8c306e8f0223dbdc1",
        "passTemplateName": "PassEntry Ticketing",
        "nfc": null,
        "barcode": {},
        "passContent": {
          "fullName": "John Johnson"
        }
      }
    },
    {
      "id": "237f0526-b2aa-4dd1-884b-ed49abbd7443",
      "type": "pass",
      "attributes": {
        "downloadUrl": "https://www.example.com?pass=237f0526-b2aa-4dd1-884b-ed49abbd7443",
        "passType": "generic",
        "createdAt": "2022-01-04T00:00:00Z",
        "status": "issued",
        "extId": "d994dfcf8b6d0b0a3263",
        "passTemplateUuid": "2e2d7ee8c306e8f0223dbdc1",
        "passTemplateName": "PassEntry Ticketing",
        "nfc": null,
        "barcode": {},
        "passContent": {
          "fullName": "John Johnson"
        }
      }
    }
  ],
  "meta": {
    "totalCount": 8,
    "resultsPerPage": 5,
    "currentPage": 1,
    "totalPages": 2
  },
  "links": {
    "first": null,
    "prev": null,
    "next": "/api/v1/passes?page=2&perPage=5",
    "last": "/api/v1/passes?page=2&perPage=5"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.passentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

perPage
integer

Record limiter per page. Default is 100

status
enum<string>

Filter passes by status. Accepts single status value.

Available options:
issued,
active,
removed,
deactivated,
nullified
status[]
enum<string>[]

Filter passes by multiple statuses. Use array notation: status[]=active&status[]=issued

Available options:
issued,
active,
removed,
deactivated,
nullified
deviceType
enum<string>

Filter passes by device type

Available options:
android,
iphone
groupTag
string

Filter passes by group tag

groupTags[]
string[]

Filter passes by multiple group tags. Use array notation: groupTags[]=tag1&groupTags[]=tag2

extIdPrefix
string

Filter passes by external ID prefix. Example: '123456' will match '123456' and '1234567890'. Case sensitive.

passTemplateUuid
string

Filter passes by pass template UUID

passTemplateName
string

Filter passes by pass template name. Must be URL encoded

eventUuid
string

Filter passes by event UUID

eventName
string

Filter passes by event name. Must be URL encoded

createdAfter
string

Returns passes created after given datetime. Format is ISO 8601

createdBefore
string

Returns passes created before given datetime. Format is ISO 8601. Can be combined with createdBefore parameter

fields
string

Returns a partial response (Sparse fieldset) per record, instead of the whole record. Set one or many comma separated record attributes

includePassDesign
boolean

If true, includes the pass design in the response

includeLocations
boolean

If true, includes the locations in the response if any are present

includeBeacons
boolean

If true, includes the beacons in the response if any are present

includeBinding
boolean

If true, includes the account binding data in the response for passes that have binding configured.

includeNullified
boolean

If true, includes nullified passes in the response. By default, nullified passes are excluded from list results.

Response

Successful

data
object[]
meta
object